clean_dir.h File Reference

Go to the source code of this file.

## Functions

int | clean_dir (const char *dir, const char *delete_pattern)
| Recursively remove all entries in a directory tree that match a given pattern.

## Function Documentation

## clean_dir()

int clean_dir | ( | const char * | dir,
|  | const char * | delete_pattern )

Recursively remove all entries in a directory tree that match a given pattern.

Parameters

  dir | The directory to traverse.
  delete_pattern | The pattern of filenames to match and delete.